Bug 226919 - Cross platform compilation of PlatformXRSystem and PlatformXRSystemProxy
Summary: Cross platform compilation of PlatformXRSystem and PlatformXRSystemProxy
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebXR (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Imanol Fernandez
URL:
Keywords: InRadar
Depends on:
Blocks: 208988
  Show dependency treegraph
 
Reported: 2021-06-11 07:35 PDT by Imanol Fernandez
Modified: 2021-07-12 02:31 PDT (History)
14 users (show)

See Also:


Attachments
Patch (103.97 KB, patch)
2021-06-11 08:13 PDT, Imanol Fernandez
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (104.14 KB, patch)
2021-06-11 09:11 PDT, Imanol Fernandez
no flags Details | Formatted Diff | Diff
Patch (104.13 KB, patch)
2021-06-21 05:05 PDT, Imanol Fernandez
no flags Details | Formatted Diff | Diff
Patch (104.99 KB, patch)
2021-06-23 02:01 PDT, Imanol Fernandez
no flags Details | Formatted Diff | Diff
Patch (105.01 KB, patch)
2021-06-25 08:03 PDT, Imanol Fernandez
no flags Details | Formatted Diff | Diff
Patch (103.99 KB, patch)
2021-07-06 07:09 PDT, Imanol Fernandez
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (104.53 KB, patch)
2021-07-06 07:33 PDT, Imanol Fernandez
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (105.30 KB, patch)
2021-07-06 07:46 PDT, Imanol Fernandez
no flags Details | Formatted Diff | Diff
Patch (104.59 KB, patch)
2021-07-08 05:28 PDT, Imanol Fernandez
no flags Details | Formatted Diff | Diff
Patch (104.64 KB, patch)
2021-07-08 07:50 PDT, Imanol Fernandez
no flags Details | Formatted Diff | Diff
Patch for landing (104.64 KB, patch)
2021-07-12 01:59 PDT, Imanol Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Imanol Fernandez 2021-06-11 07:35:46 PDT
Right now PlatformXRSystem and PlatformXRSystemProxy are only compiled in Cocoa platform while WPE uses OpenXR, which only has code in WebCore. In order to run WebKit on non-cocoa VR Standalone devices we also need to split code between UIProcess/WebProcess and we want to reuse the PlatformXRSystem/PlatformXRSystemProxy which fits very well into our use case. In the future, if WPE enables a GPU Process, we could move OpenXR Platform to use the PlatformXRSystem approach too.
Comment 1 Imanol Fernandez 2021-06-11 08:13:39 PDT
Created attachment 431196 [details]
Patch
Comment 2 Imanol Fernandez 2021-06-11 09:11:42 PDT
Created attachment 431201 [details]
Patch

Fix linker error
Comment 3 Radar WebKit Bug Importer 2021-06-18 07:36:26 PDT
<rdar://problem/79504983>
Comment 4 Imanol Fernandez 2021-06-21 05:05:13 PDT
Created attachment 431848 [details]
Patch

Rebase onto main
Comment 5 Imanol Fernandez 2021-06-23 02:01:15 PDT
Created attachment 432026 [details]
Patch

Rebase onto main
Comment 6 Imanol Fernandez 2021-06-25 08:03:15 PDT
Created attachment 432271 [details]
Patch
Comment 7 Imanol Fernandez 2021-07-06 07:09:53 PDT
Created attachment 432922 [details]
Patch
Comment 8 Imanol Fernandez 2021-07-06 07:33:59 PDT
Created attachment 432926 [details]
Patch

Fix mac compilation error
Comment 9 Imanol Fernandez 2021-07-06 07:46:30 PDT
Created attachment 432929 [details]
Patch

Fix mac compilation error
Comment 10 Imanol Fernandez 2021-07-08 05:28:58 PDT
Created attachment 433127 [details]
Patch
Comment 11 Imanol Fernandez 2021-07-08 07:50:15 PDT
Created attachment 433131 [details]
Patch

Fix mac compilation error. Rebase onto main
Comment 12 Ada Chan 2021-07-09 14:25:08 PDT
Comment on attachment 433131 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=433131&action=review

> Source/WebKit/UIProcess/Cocoa/PlatformXRCoordinator.mm:2
> + * Copyright (C) 2017 Apple Inc. All rights reserved.

Should be 2021
Comment 13 Imanol Fernandez 2021-07-12 01:59:25 PDT
Created attachment 433305 [details]
Patch for landing
Comment 14 EWS 2021-07-12 02:31:03 PDT
Committed r279822 (239583@main): <https://commits.webkit.org/239583@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 433305 [details].